Skip to content

List Uploaded Part List



POST /api/v1/rum_sourcemap/part_list

Overview

An optional fourth step in the sourcemap compressed file upload (multipart upload) operation. Lists the uploaded parts. Typically used for resumable uploads or part verification. For details, refer to: SourceMap Multipart Upload Related Interface Usage Instructions

Body Request Parameters

Parameter Name Type Required Description
uploadId string Y Multipart upload event ID
Allow empty: False

Parameter Supplementary Notes

Request Example

curl 'https://openapi.truewatch.com/api/v1/rum_sourcemap/part_list' \
-H 'Content-Type: application/json' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--data-raw $'{\n  "uploadId": "65ef45944fac157005cb73de48e81f161Lfv5UOs"\n}' \
--compressed

Response

{
    "code": 200,
    "content": {
        "chunkIndexs": [
            1
        ],
        "declaration": {
            "b": [
                "asfawfgajfasfafgafwba",
                "asfgahjfaf"
            ],
            "business": "aaa",
            "organization": "6540c09e4243b300077a9675"
        },
        "uploadId": "65ef45944fac157005cb73de48e81f161Lfv5UOs"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-8A543B50-9DFF-4C29-9D01-69892F5372BD"
}